/*
 * Class INDEXABLE [INTEGER_64, INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_473 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_473 [] = {0xFF01,237,472,188,206,0xFFFF};
static const EIF_TYPE_INDEX egt_2_473 [] = {0xFF01,472,188,206,0xFFFF};
static const EIF_TYPE_INDEX egt_3_473 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_473 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_473 [] = {0xFF01,472,188,206,0xFFFF};
static const EIF_TYPE_INDEX egt_6_473 [] = {0xFF01,472,188,206,0xFFFF};
static const EIF_TYPE_INDEX egt_7_473 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_473 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_473 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_473 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_473 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_473 [] = {472,188,206,0xFFFF};
static const EIF_TYPE_INDEX egt_13_473 [] = {0xFF01,472,188,206,0xFFFF};
static const EIF_TYPE_INDEX egt_14_473 [] = {0xFF01,474,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_473 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_473 [] = {0xFF01,466,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_473 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_473 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_473 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_473 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_473 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_22_473 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_473[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_473), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_473), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_473), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_473), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_473), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_473), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_473), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_473), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_473), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_473), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_473), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_473), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_473), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_473), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1875, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1876, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1877, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1878, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1879, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_473), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_473), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1938, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1973, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1939, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1940, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_473), 3373, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_473), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_473), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_473), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_473), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_473), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_473), -1, 0xFFFFFFFF},
};
void Init473(void)
{
	IDSC(desc_473, 0, 472);
	IDSC(desc_473 + 1, 1, 472);
	IDSC(desc_473 + 32, 77, 472);
	IDSC(desc_473 + 41, 282, 472);
	IDSC(desc_473 + 50, 99, 472);
	IDSC(desc_473 + 52, 187, 472);
	IDSC(desc_473 + 58, 256, 472);
	IDSC(desc_473 + 61, 229, 472);
	IDSC(desc_473 + 62, 172, 472);
}


#ifdef __cplusplus
}
#endif
